#db-drawer {
    padding: 50px;
    margin-left: 50px;
}
.tables {
    height: 90vh;
    background-color: #ebebeb;
    position: relative;
}
.q-table-title {
    font-size: 14px;
    line-height: 14px;
}
.q-table__container {
    z-index: 3;
}
.q-table__container.selected {
    border: 1px #1976d2 solid;
}
.vdr {
    border: none;
}
.add-relation {
    position: absolute;
    width: 8px;
    height: 8px;
    background-color: #333;
    border-radius: 50%;
    cursor: pointer;
    z-index: 2;
}
.has-many {
     right: -8px;
     bottom: 5px;
}
.belong-to {
    left: -8px;
    bottom: 5px;
}
.relation {
    display: block;
    position: absolute;
    border: 2px #000 solid;
    left: 100%;
}
.relation:before {
    content: '';
    display: block;
    width: calc(100% + 20px);
    height: calc(100% + 20px);
    position: absolute;
    left: -10px;
    top: -10px;
}
.relation.selected {
    border-color: #1976d2;
}
.relation.hide-bot-right {
    border-bottom-color: transparent;
    border-right-color: transparent;
}
.relation.hide-top-right {
    border-top-color: transparent;
    border-right-color: transparent;
}
.relation.hide-top-left {
    border-top-color: transparent;
    border-left-color: transparent;
}
.relation.hide-bot-left {
    border-bottom-color: transparent;
    border-left-color: transparent;
}
.relation-line {
    height: 1px;
    position: absolute;
    transform-origin: 0% 0%;
    background-color:black;
    display: none;
    z-index: 2;
}

.draggable {
    position: absolute;
    user-select: none;
}